/evm/{chain}/{format}/txs/{accountAddress}

Returns a list of transactions in the specified transaction schema format. You can enrich or adjust the classification using options.

Supported options:

  • allTransfers: include all additional token/native/internal transfers in addition to perspective-based classification
  • internals: include internal transactions details
  • traces: include low-level EVM traces
  • rawTx: include raw transaction payload
  • eventLogs: include decoded event logs
  • viewAsTransactionSender: force classification from the transaction sender's perspective

Provide either a block range or a timestamp range, not both. For pagination, use the nextPageUrl returned in the response.

For tier-2 chains, the maximum results returned per page is 10 regardless of the requested pageSize.

Path Params
string
required
Defaults to 0x9B1054d24dC31a54739B6d8950af5a7dbAa56815

Wallet address to fetch transactions for.

string
required
Defaults to eth

Name of the chain.

string
required
Defaults to v5

Desired transaction schema format (e.g., v5).

Query Params
string

Return results with the perspective of this wallet address. Optional.

int64

Start block to filter by. Optional.

int64

End block to filter by. Optional.

int64

Start timestamp to filter by. Optional.

int64

End timestamp to filter by. Optional.

string
Defaults to desc

Order of transactions by timestamp. desc | asc. Optional.

int32
1 to 50
Defaults to 10

Number of transactions per page. Optional. For tier-2 chains, the maximum per page is 10.

string
Defaults to allTransfers

Comma-separated list of formatting options. Available: allTransfers, internals, traces, rawTx, eventLogs, viewAsTransactionSender. Optional.

Headers
string
required
Defaults to demokey

API Key for Translate API. To generate an API Key, visit https://noves.fi/pricing

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain
text/json